> # NAME

> cgCreateEffectParameter - create a parameter in an effect

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGparameter cgCreateEffectParameter( CGeffect effect,
>                                            const char * name,
>                                            CGtype type );

> # PARAMETERS

> effect

>   The effect to which the new parameter will be added.

> name

>   The name of the new parameter.

> type

>   The type of the new parameter.

> # RETURN VALUES

> Returns the handle to the new parameter.

> # DESCRIPTION

> cgCreateEffectParameter adds a new parameter to the specified effect.

> # EXAMPLES

>       CGeffect effect = cgCreateEffect( ... );
>       CGparameter param = cgCreateEffectParameter( effect, "myFloatParam", CG_FLOAT );

> # ERRORS

> CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

> CG_INVALID_VALUE_TYPE_ERROR is generated if type is invalid.

> # HISTORY

> cgCreateEffectParameter was introduced in Cg 1.5.

> # SEE ALSO

> cgIsParameter, cgCreateEffectParameterArray, cgCreateEffectParameterMultiDimArray, cgCreateTechnique, cgCreatePass, cgConnectParameter